%global base_name    libkscreen

Name:    libkscreen-qt5
Summary: KDE display configuration library
Version: 5.27.11
Release: 1

License: GPLv2+
URL:     https://invent.kde.org/plasma/%{base_name}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{base_name}-%{version}.tar.xz
Patch01: 0001-fix-build-error-of-5.27.6.patch
# filter plugin provides
%global __provides_exclude_from ^(%{_kf5_plugindir}/.*\\.so)$

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  systemd
BuildRequires:  kf5-kwayland-devel >= 5.22
BuildRequires:  libX11-devel
BuildRequires:  libxcb-devel
BuildRequires:  libXrandr-devel
BuildRequires:  plasma-wayland-protocols-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtwayland-devel
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  wayland-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  qt5-qtbase-private-devel

Requires:       kf5-filesystem

Provides:       kf5-kscreen%{?_isa} = %{version}-%{release}
Provides:       kf5-kscreen = %{version}-%{release}
Obsoletes:      kf5-kscreen <= 1:5.2.0


%description
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       kf5-kscreen-devel = %{version}-%{release}
Provides:       kf5-kscreen-devel%{?_isa} = %{version}-%{release}
Obsoletes:      kf5-kscreen-devel <= 1:5.2.0
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{base_name}-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang_kf5 libkscreen5_qt
%ldconfig_scriptlets

%files -f libkscreen5_qt.lang
%license LICENSES/*
%{_kf5_bindir}/kscreen-doctor
%{_kf5_libexecdir}/kscreen_backend_launcher
%{_kf5_libdir}/libKF5Screen.so.5.*
%{_kf5_libdir}/libKF5Screen.so.8*
%{_kf5_libdir}/libKF5ScreenDpms.so.5.*
%{_kf5_libdir}/libKF5ScreenDpms.so.8*
%{_kf5_plugindir}/kscreen/
%{_datadir}/dbus-1/services/org.kde.kscreen.service
%{_kf5_datadir}/qlogging-categories5/libkscreen.categories
%{_kf5_datadir}/zsh/site-functions/_kscreen-doctor
%{_userunitdir}/plasma-kscreen.service

%files devel
%{_kf5_includedir}/KScreen/
%{_kf5_includedir}/kscreen_version.h
%{_kf5_libdir}/libKF5Screen.so
%{_kf5_libdir}/libKF5ScreenDpms.so
%{_kf5_libdir}/cmake/KF5Screen/
%{_libdir}/pkgconfig/kscreen2.pc
%{_kf5_archdatadir}/mkspecs/modules/qt_KScreen.pri

%changelog
* Thu Mar 14 2024 peijiankang <peijiankang@kylinos.cn> - 5.27.11-1
- Update package to version 5.27.11

* Mon Jan 29 2024 peijiankang<peijiankang@kylinos.cn> - 5.27.10-2
- add 0001-fix-build-error-of-5.27.6.patch(sync from 5.27.6-2)

* Mon Jan 08 2024 zhangxianting <zhangxianting@unintech.com> - 5.27.10-1
- update to upstream version 5.27.10

* Tue Aug 15 2023 peijiankang<peijiankang@kylinos.cn> - 5.27.6-2
- add 0001-fix-build-error-of-5.27.6.patch

* Fri Aug 04 2023 yajun<yajun@kylinos.cn> - 5.27.6-1
- update to upstream version 5.27.6

* Tue Dec 13 2022 lijian <lijian2@kylinos.cn> - 5.26.4-1
- update to upstream version 5.26.4

* Mon Oct 10 2022 lvfei <lvfei@kylinos.cn> - 5.25.2-2
- remove patch:libkscreen-5.6.4-rhel-nowayland.patch
- It is required by rhel and rhel<=7 

* Tue Jul 5 2022 peijiankang<peijiankang@kylinos.cn> - 5.25.2-1
- update to upstream version 5.25.2

* Tue Apr 12 2022 peijiankang<peijiankang@kylinos.cn> - 5.24.4-1
- update to upstream version 5.24.4

* Thu Feb 17 2022 peijiankang<peijiankang@kylinos.cn> - 5.20.90-1
- update to upstream version 5.20.90

* Mon Dec 13 2021 heyitao <heyitao@uniontech.com> - 5.15.5-2
- Remove the dist tag in the version.

* Thu Jul 23 2020 Zhao Yang <yangzhao1@kylinos.cn> - 5.15.5-1
- Initial release for OpenEuler
